%define		_class		Var_Dump
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	1.0.4
Release:	%mkrel 7
Summary:	Methods for dumping information about a variable
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Var_Dump/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Displays informations about the values of variables on a graphical
way:
- If given a simple variable (string, integer, double, ressource), the
  value itself is printed,
- If given an array, it is explored recursively and values are
  presented in a format that shows keys and elements,
- If given an object, informations about the object and the class are
  printed.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_bindir}/gen_php_doc.sh
%{_datadir}/pear/*.php
%{_datadir}/pear/%{upstream_name}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.0.4-7.mga6
+ Revision: 964649
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 964498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 746882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 687502
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 517274
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 377387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.0.4-1.mga1
+ Revision: 28045
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Var_Dump

